Package org.codehaus.groovy.runtime

# Class FlushingStreamWriter

java.lang.Object
java.io.Writer
java.io.OutputStreamWriter
org.codehaus.groovy.runtime.FlushingStreamWriter

All Implemented Interfaces:
  `Closeable`, `Flushable`, `Appendable`, `AutoCloseable`

public class FlushingStreamWriter extends OutputStreamWriter
Stream writer which flushes after each write operation.

Author:
  Guillaume Laforge

## Field Summary

### Fields inherited from class java.io.Writer

`lock`

## Constructor Summary

Constructors
Constructor
Description
`FlushingStreamWriter(OutputStream out)`

## Method Summary

Modifier and Type
Method
Description
`void`
`write(char[] cbuf, int off, int len)`
`void`
`write(int c)`
`void`
`write(String str, int off, int len)`

### Methods inherited from class java.io.OutputStreamWriter

`append, append, close, flush, getEncoding`

### Methods inherited from class java.io.Writer

`append, nullWriter, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FlushingStreamWriter

public FlushingStreamWriter(OutputStream out)

## Method Details

### write

public void write(char[] cbuf, int off, int len) throws IOException

Overrides:
  `write` in class `OutputStreamWriter`
Throws:
  `IOException`

### write

public void write(int c) throws IOException

Overrides:
  `write` in class `OutputStreamWriter`
Throws:
  `IOException`

### write

public void write(String str, int off, int len) throws IOException

Overrides:
  `write` in class `OutputStreamWriter`
Throws:
  `IOException`